<template>
    <ion-page>
        <ion-header :translucent="true">
            <ion-toolbar>
                <ion-buttons slot="start">
                    <ion-menu-button color="primary"></ion-menu-button>
                </ion-buttons>
                <ion-title>WiFi IoT</ion-title>
            </ion-toolbar>
        </ion-header>

        <ion-content :fullscreen="true">
            <ion-grid>
                <ion-row>
                    <ion-col size="12" size-lg="6">
                        <ion-card>
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="radio"
                                        size="large"
                                    ></ion-icon>
                                    Zařízení</ion-card-title
                                >
                            </ion-card-header>

                            <ion-card-content>
                                Správa zařízení v síti HUBu, přidělení
                                nepřiřazených
                            </ion-card-content>

                            <ion-button
                                @click="redirect(Route.deviceList)"
                                fill="clear"
                                >Otevřít</ion-button
                            >
                        </ion-card>
                    </ion-col>
                    <ion-col size="12" size-lg="6">
                        <ion-card>
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="layers"
                                        size="large"
                                    ></ion-icon>
                                    Skupiny</ion-card-title
                                >
                            </ion-card-header>

                            <ion-card-content>
                                Rozdělení zařízení do skupin, ve kterých mohou
                                komunikovat
                            </ion-card-content>

                            <ion-button
                                @click="redirect(Route.groupList)"
                                fill="clear"
                                >Otevřít</ion-button
                            >
                        </ion-card>
                    </ion-col>
                    <ion-col size="12" size-lg="6">
                        <ion-card v-if="appUser.data.isAdmin">
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="people"
                                        size="large"
                                    ></ion-icon>
                                    Uživatelé</ion-card-title
                                >
                            </ion-card-header>

                            <ion-card-content>
                                Správa uživatelů přihlášených jednotným
                                přihlašováním
                            </ion-card-content>

                            <ion-button
                                @click="redirect(Route.userList)"
                                fill="clear"
                                >Otevřít</ion-button
                            >
                        </ion-card>
                    </ion-col>
                    <ion-col size="12" size-lg="6">
                        <ion-card v-if="appUser.data.isAdmin">
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="planet"
                                        size="large"
                                    ></ion-icon>
                                    Veřejné adresy</ion-card-title
                                >
                            </ion-card-header>

                            <ion-card-content>
                                Správa dostupných veřejných adres, které lze
                                přidělit zařízení.
                            </ion-card-content>

                            <ion-button
                                @click="redirect(Route.staticIpList)"
                                fill="clear"
                                >Otevřít</ion-button
                            >
                        </ion-card>
                    </ion-col>
                    <ion-col size="12" size-lg="6">
                        <ion-card>
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="terminal"
                                        size="large"
                                    ></ion-icon>
                                    Aktivní přihlášení</ion-card-title
                                >
                            </ion-card-header>

                            <ion-card-content>
                                Zobrazení aktivních přihlášení současného
                                uživatele a možnost odebrání tokenů.
                            </ion-card-content>

                            <ion-button @click="redirect(Route.me)" fill="clear"
                                >Otevřít</ion-button
                            >
                        </ion-card>
                    </ion-col>
                    <ion-col size="12" size-lg="6">
                        <ion-card>
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="cloudDownload"
                                        size="large"
                                    ></ion-icon>
                                    Stáhnout mobilní aplikaci</ion-card-title
                                >
                            </ion-card-header>

                            <ion-button href="/wifiiot.apk" fill="clear"
                                >Stáhnout mobilní aplikaci</ion-button
                            >
                        </ion-card>
                    </ion-col>
                    <ion-col size="12" size-lg="6">
                        <ion-card>
                            <ion-card-header>
                                <ion-card-title
                                    ><ion-icon
                                        color="primary"
                                        :icon="logOut"
                                        size="large"
                                    ></ion-icon>
                                    Odhlásit</ion-card-title
                                >
                            </ion-card-header>

                            <ion-button @click="logout" fill="clear"
                                >Odhlásit se</ion-button
                            >
                        </ion-card>
                    </ion-col>
                </ion-row>
            </ion-grid>
        </ion-content>
    </ion-page>
</template>

<script setup lang="ts">
import {
    IonButtons,
    IonButton,
    IonGrid,
    IonRow,
    IonCol,
    IonContent,
    IonHeader,
    IonMenuButton,
    IonPage,
    IonTitle,
    IonToolbar,
    IonCard,
    IonCardContent,
    IonCardHeader,
    IonCardTitle,
    IonIcon,
} from '@ionic/vue'
import {
    radio,
    logOut,
    people,
    planet,
    terminal,
    layers,
    cloudDownload,
} from 'ionicons/icons'
import { useUserStore } from '@/stores/userStore'
import router from '@/router'
import { Route } from '@/router/route'

const appUser = useUserStore()

const redirect = (name: string) => {
    router.push({ name })
}

const logout = () => {
    appUser.logOut().then(() => {
        router.push({ name: Route.login })
    })
}
</script>
